Skip to main content
POST
/
reddit
/
get-subreddit
Fetch subreddit metadata
curl --request POST \
  --url https://api.bridgly.app/reddit/get-subreddit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "subreddit": "<string>"
}
'
import requests

url = "https://api.bridgly.app/reddit/get-subreddit"

payload = { "subreddit": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({subreddit: '<string>'})
};

fetch('https://api.bridgly.app/reddit/get-subreddit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "timeMs": 123,
  "creditsCost": 123,
  "data": {
    "id": "<string>",
    "fullname": "<string>",
    "name": "<string>",
    "namePrefixed": "<string>",
    "title": "<string>",
    "description": "<string>",
    "publicDescription": "<string>",
    "subscribers": 123,
    "activeUserCount": 123,
    "over18": true,
    "quarantine": true,
    "subredditType": "<string>",
    "submissionType": "<string>",
    "lang": "<string>",
    "url": "<string>",
    "subredditUrl": "<string>",
    "createdUtc": 123,
    "iconUrl": "<string>",
    "bannerUrl": "<string>",
    "headerImageUrl": "<string>",
    "primaryColor": "<string>",
    "keyColor": "<string>",
    "bannerBackgroundColor": "<string>",
    "wikiEnabled": true,
    "restrictPosting": true,
    "restrictCommenting": true,
    "allowImages": true,
    "allowVideos": true,
    "allowGalleries": true,
    "allowPolls": true,
    "spoilersEnabled": true,
    "rules": [
      {
        "shortName": "<string>",
        "description": "<string>",
        "violationReason": "<string>",
        "kind": "<string>",
        "priority": 123,
        "createdUtc": 123
      }
    ],
    "siteRules": [
      "<string>"
    ]
  }
}
{
"status": "error",
"message": "<string>"
}
{
"status": "error",
"message": "<string>"
}
{
"status": "error",
"message": "<string>"
}
{
"status": "error",
"message": "<string>"
}
{
"status": "error",
"message": "<string>"
}

Authorizations

Authorization
string
header
required

A Bridgly API key (bgly_…). Metered endpoints deduct credits from the resolved account.

Body

application/json
subreddit
string
required

Subreddit name without the "r/" prefix, e.g. "programming".

Response

Default Response

timeMs
number
required

Wall-clock time the request took to complete, in milliseconds.

creditsCost
number
required

Number of account credits this request consumed.

data
object
required